Home | All Classes | Grouped Classes | Index | Search

# CL_GraphicContext::set_stencil_operation

Set stencil test function when writing to stencil, and operations to do when a test passes or fails

    	void set_stencil_operation(
    		CL_StencilOp pass, CL_StencilOp fail, CL_StencilFunc func, int ref=1);

Parameters:

CL_StencilOp pass
  Modification to stencil buffer when a test passes.
CL_StencilOp fail
  Modification to stencil buffer when a test fails.
CL_StencilFunc func
  Type of test to do when writing to stencil.
int ref
  value compared to stencil contents. Default: 1

See also:

CL_GraphicContext

Questions or comments, write to the ClanLib mailing list.